StructureException (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.StructureException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure
Class StructureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.BioException
                  org.biojava.bio.structure.StructureException

All Implemented Interfaces:
  Serializable

    public class StructureException

extends BioException

An exception during the parsing of a PDB file.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic, Thomas Down, Benjamin Schuster-Böckler, Andreas Prlic
See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`StructureException(String s)` Constructs a StructureException object.
`StructureException(String message, Throwable t)` Constructs a StructureException object.
`StructureException(Throwable t)` Constructs a StructureException object.
`StructureException(Throwable t, String s)` Deprecated. use new StructureException(message, ex) instead

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### StructureException

    public StructureException(String s)

  Constructs a StructureException object.

  Parameters:
    `s` - a String ...

### StructureException

    public StructureException(String message,
                              Throwable t)

  Constructs a StructureException object.

  Parameters:
    `t` - a Throwable object
    `message` - a String ...

### StructureException

    public StructureException(Throwable t,
                              String s)

  Deprecated. use new StructureException(message, ex) instead

  Constructs a StructureException object.

  Parameters:
    `t` - a Throwable object
    `s` - a String ...

### StructureException

    public StructureException(Throwable t)

  Constructs a StructureException object.

  Parameters:
    `t` - a Throwable object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD